"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  VitePluginInjection: () => VitePluginInjection,
  default: () => src_default
});
module.exports = __toCommonJS(src_exports);
function VitePluginInjection(options = {}) {
  console.log(options);
  return {
    name: "vite-plugin-injection",
    apply: "build",
    enforce: "pre",
    transformIndexHtml(html) {
      console.log(html);
      return html.replace(
        /<title>(.*?)<\/title>/,
        "<title>Title replaced!</title>"
      );
    }
  };
}
var src_default = VitePluginInjection;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  VitePluginInjection
});
