// src/index.ts
function VitePluginInjection(options = {}) {
  console.log(options);
  return {
    name: "vite-plugin-injection",
    apply: "build",
    enforce: "pre",
    transformIndexHtml(html) {
      console.log(html);
      return html.replace(
        /<title>(.*?)<\/title>/,
        "<title>Title replaced!</title>"
      );
    }
  };
}
var src_default = VitePluginInjection;
export {
  VitePluginInjection,
  src_default as default
};
